Subject: bug#43243: closed (Re: bug#43243: emacs-elfeed-org, mapc:Symbol’s function definition is void)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Oct 2020 17:39:02 +0000

Your bug report

#43243: emacs-elfeed-org, mapc: Symbol’s function definition is void

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43243: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43243
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43243: emacs-elfeed-org, mapc: Symbol’sfunction definition is void
From: Maxim Cournoyer <[email-masked]>
To: Giovanni Biscuolo <[email-masked]>
Cc: [email-masked], zimoun <[email-masked]>
Date: Sun, 04 Oct 2020 13:37:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Giovanni,

Giovanni Biscuolo <[email-masked]> writes:

> Hello,
>
> I resolved this issue: (obviously) It was my fault, please see below.
>
> zimoun <[email-masked]> writes:
>
> [...]
>
>> Hum?  What is your ’~/.emacs.d/init.el’&co.?  The issue seems the
>> loading order.  It could happen with lazy eval &co.  Well, this ’alist’
>> is from ’org.el’, so it appears to me a bit weird.
>
> This sentence slowly guided me to the solution: I still had
> ~/.emacs.d/elpa and after I deleted that, the initial error reported in
> this bug disappeared, with another one I discovered later.
>
> AFAIU the error was triggered by the fact that my Emacs (on foreign
> distro) was still loading some old code from ~/.emacs.d/elpa, installed
> using use-package (mixed with Debian packages in some case) before I
> migrated to Guix Emacs.

As with other things Guix, mix and match of ad-hoc package management
(e.g., Emacs' native package management) and Guix can cause conflicts.
There is not always a clear solution to these problems.

I don't use Emacs' native package management facility, but if it clashes
with our own use of EMACSLOADPATH and site-start.el, it could be work
looking into (as a fresh bug).

I'll close this one for now.

Thanks!

Maxim

Subject: emacs-elfeed-org, mapc: Symbol’s function definition is void
From: Giovanni Biscuolo <[email-masked]>
To: [email-masked]
Date: Sun, 06 Sep 2020 16:43:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I use emacs-elfeed-org to organize my feeds for emacs--elfeed.

After my last upgrade to Emacs 27.1 I get this error in the Messages
buffer when I try to "M-x elfeed":

  mapc: Symbol’s function definition is void: org--check-org-structure-template-alist

This is the backtrace:

--8<---------------cut here---------------start------------->8---

Debugger entered--Lisp error: (void-function org--check-org-structure-template-alist)
  org--check-org-structure-template-alist(org-structure-template-alist)
  mapc(org--check-org-structure-template-alist (org-structure-template-alist org-tempo-keywords-alist))
  org-tempo-add-templates()
  org-tempo--update-maybe()
  org-tempo-setup()
  run-hooks(change-major-mode-after-body-hook text-mode-hook outline-mode-hook org-mode-hook)
  apply(run-hooks (change-major-mode-after-body-hook text-mode-hook outline-mode-hook org-mode-hook))
  run-mode-hooks(org-mode-hook)
  org-mode()
  #f(compiled-function (file) #<bytecode 0x10396bd>)("~/.emacs.d/elfeed.org")
  #f(compiled-function (it) #<bytecode 0x2ba910d>)("~/.emacs.d/elfeed.org")
  mapcar(#f(compiled-function (it) #<bytecode 0x2ba910d>) ("~/.emacs.d/elfeed.org"))
  -mapcat(#f(compiled-function (file) #<bytecode 0x10396bd>) ("~/.emacs.d/elfeed.org"))
  rmh-elfeed-org-import-headlines-from-files(("~/.emacs.d/elfeed.org") "elfeed")
  rmh-elfeed-org-process(("~/.emacs.d/elfeed.org") "elfeed")
  ad-Advice-elfeed(#f(compiled-function () (interactive nil) #<bytecode 0x1012e69>))
  apply(ad-Advice-elfeed #f(compiled-function () (interactive nil) #<bytecode 0x1012e69>) nil)
  elfeed()
  funcall-interactively(elfeed)
  call-interactively(elfeed record nil)
  command-execute(elfeed record)
  execute-extended-command(nil "elfeed" nil)
  funcall-interactively(execute-extended-command nil "elfeed" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

--8<---------------cut here---------------end--------------->8---

Thanks! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures